// This file is a part of Framsticks SDK.  http://www.framsticks.com/
// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
// See LICENSE.txt for details.

#include "loggertostdout.h"
#ifdef SHP
#include <FBaseSys.h> //AppLog
#else
#include <stdio.h>
#endif

void LoggerToStdout::handle(const char *o, const char *m, int w, const char *bl)
{
	if (w < -1) w = -1; else if (w>3) w = 3;
#ifdef SHP
	AppLog(LOG_FORMAT "\n",LOG_LEVEL[w+1],o,m,bl);
#else
	if (file)
		file->printf(LOG_FORMAT "\n", LOG_LEVEL[w + 1], o, m, bl);
	else
		printf(LOG_FORMAT "\n", LOG_LEVEL[w + 1], o, m, bl);
#endif
}
